Package com.orchestranetworks.instance

# Interface ValueContextForValidation

All Superinterfaces:
  `ValueContext`

All Known Subinterfaces:
  `ValueContextForInputValidation`

public interface ValueContextForValidation extends ValueContext
This container interface provides services for performing validations on nodes containing values.

Messages that have been added can be accessed as `items` in the context of a validation report.

See Also:
  - `Constraint.checkOccurrence(Object, ValueContextForValidation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addError(String aMessage)`
  Adds the specified error message.
  `void`
  `addInfo(String aMessage)`
  Adds the specified information message.
  `void`
  `addMessage(UserMessage msg)`
  Adds the specified validation message.
  `void`
  `addWarning(String aMessage)`
  Adds the specified warning message.
  `AdaptationHome`
  `getFunctionalDataspace()`
  Returns the dataspace that contains the adaptation for which the validation has been requested.
  `boolean`
  `hasErrorsOnNode()`
  Returns `true` if the current node has errors.

  ### Methods inherited from interface com.orchestranetworks.instance.ValueContext

  `getAdaptationInstance, getAdaptationTable, getHome, getNode, getNode, getValue, getValue, getValue`

- ## Method Details

  - ### addMessage

    void addMessage(UserMessage msg)
    Adds the specified validation message.

    This method creates a new `validation item` whose `subject` is the node that is currently being validated. The validation item is also included in the node, so that it can be accessed using the method `Adaptation.getValidationReportForNode(com.orchestranetworks.schema.SchemaNode, boolean)`.

    When displaying the message, EBX® usually adds information about the subject. For example, the validation report in EBX® user interface displays the subject as a hyperlink. Consequently, it is not necessary to manually include this contextual information in the message argument.

    On user input validation (not in the global validation report), the display of the messages associated with the current node behaves as follows:

    - If several messages with different severities are defined for the current node, then the message with the highest severity will be displayed on the associated user interface component.
    - If several messages with the same severity are defined for the current node, then the first message that was added will be displayed on the associated user interface component.

    Consequently, not all specified validation messages may be displayed on the associated user interface component. However, they will be displayed at the record level if the current node is in a record, or at root level if the current node is not in a record.

    See Also:
      - `ValidationReportItem`
      - `ValidationReportItemSubjectForAdaptation`

  - ### addError

    void addError(String aMessage)
    Adds the specified error message.
    See Also:
      - `addMessage(UserMessage)`

  - ### addInfo

    void addInfo(String aMessage)
    Adds the specified information message.
    See Also:
      - `addMessage(UserMessage)`

  - ### addWarning

    void addWarning(String aMessage)
    Adds the specified warning message.
    See Also:
      - `addMessage(UserMessage)`

  - ### hasErrorsOnNode

    boolean hasErrorsOnNode()
    Returns `true` if the current node has errors.

  - ### getFunctionalDataspace

    AdaptationHome getFunctionalDataspace()
    Returns the dataspace that contains the adaptation for which the validation has been requested.
    Since:
      6.0.6